package ru.kirillius.pf.sdn.api.pipeline;

import ru.kirillius.pf.sdn.api.Networking.NetworkScope;
import ru.kirillius.pf.sdn.api.properties.PropertyDescriptor;

import java.util.Map;

public interface PipelineFunction {
    NetworkScope apply(NetworkScope source, Map<String, String> properties);

    Map<String, PropertyDescriptor> getProperties();
}
